Bug 515640 - Requires and BuildRequires for gecko-libs should be exact
Summary: Requires and BuildRequires for gecko-libs should be exact
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: galeon
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Denis Leroy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-05 05:45 UTC by Alex Lancaster
Modified: 2009-10-03 19:13 UTC (History)
1 user (show)

Fixed In Version: 2.0.7-15.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-23 07:34:51 UTC


Attachments (Terms of Use)

Description Alex Lancaster 2009-08-05 05:45:30 UTC
Currently Requires/BuildRequires on gecko-libs for galeon are not exact but use: ">=" greater than or equal to constructs.  This is not correct because it depends on the unstable xulrunner API and even minor version changes require a rebuild, otherwise it is not guaranteed to work.

The ">=" leads to odd situations where a version of galeon that has been rebuilt against a new version of xulrunner can be installed without the corresponding xulrunner package *also* being installed.   This should not happen, galeon should either install only with matching xulrunner, or otherwise fail noisily.  This happened to me using "--skip-broken" option with yum because epiphany-extensions wouldn't install:

yum update


[...]
--> Running transaction check
---> Package galeon.i386 0:2.0.7-13.fc10 set to be updated

--> Finished Dependency Resolution

Packages skipped because of dependency problems:
    Miro-2.0.5-3.fc10.i386 from updates
    blam-1.8.5-13.fc10.i386 from updates
    epiphany-2.24.3-9.fc10.i386 from updates
    firefox-3.0.13-1.fc10.i386 from updates
    gnome-python2-extras-2.19.1-33.fc10.i386 from updates
    gnome-python2-gtkhtml2-2.19.1-33.fc10.i386 from updates
    gnome-python2-gtkmozembed-2.19.1-33.fc10.i386 from updates
    gnome-python2-gtkspell-2.19.1-33.fc10.i386 from updates
    gnome-python2-libegg-2.19.1-33.fc10.i386 from updates
    gnome-web-photo-0.3-21.fc10.i386 from updates
    xulrunner-1.9.0.13-1.fc10.i386 from updates
    xulrunner-devel-1.9.0.13-1.fc10.i386 from updates
    yelp-2.24.0-12.fc10.i386 from updates

Note that the new version galeon of galeon will be updated, but the corresponding xulrunner is skipped.  I would expect that galeon also be skipped in this case, but successfully installs.

Solution is to make all ">=" in R/BR into equalities "=" and use the full exact version of gecko-libs, e.g. "1.9.1.2" , not just the major and minor version "1.9" as do other packages such as Miro.

Note that although I reported this against F-10, the inequality problem is also present in F-11 and rawhide.

Comment 1 Denis Leroy 2009-09-23 07:34:51 UTC
Fixed in next build.

Comment 2 Fedora Update System 2009-09-23 07:56:17 UTC
galeon-2.0.7-15.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/galeon-2.0.7-15.fc11

Comment 3 Fedora Update System 2009-10-03 19:13:00 UTC
galeon-2.0.7-15.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.